%define major		7
%define gir_major	2.90
%define libname		%mklibname %name %major
%define develname	%mklibname -d %name
%define girname		%mklibname %{name}-gir %{gir_major}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary: 	A Unicode character map and font viewer
Name: 		gucharmap
Version:	3.4.1.1
Release:	%mkrel 1
License:	GPLv3
Group:		Publishing
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
URL:		http://gucharmap.sourceforge.net/
BuildRequires:	pkgconfig(glib-2.0) >= 2.16.3
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	scrollkeeper
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	libxslt-proc
BuildRequires: 	gobject-introspection-devel
BuildRequires:	intltool

%description
gucharmap is a Unicode/ISO 10646 character map and font viewer. It
supports anti-aliased, scalable truetype fonts in X, using Xft, and
works on Unix and Windows platforms.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Headers for developing programs that will use gucharmap
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	libgnomeui2-devel
Obsoletes:	%mklibname -d %{name} 6

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use gucharmap.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q

%build
%configure2_5x \
	--with-gtk=3.0 \
	--enable-introspection \
	--disable-static \
	--disable-scrollkeeper
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name} --with-gnome
for omf in %{buildroot}%{_datadir}/omf/%{name}/%{name}-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/%{name}-// -e s/.omf//)) $(echo $omf|sed -e s!%{buildroot}!!)" >> %{name}.lang
done

#we don't want these
rm -rf %{buildroot}%{_libdir}/lib%{name}*.la

%files -f %name.lang
%doc README TODO
%{_bindir}/*
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/applications/*
%dir %{_datadir}/omf/%{name}
%{_datadir}/omf/%{name}/%{name}-C.omf

%files -n %{libname}
%{_libdir}/lib%{name}*.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/Gucharmap-%{gir_major}.typelib

%files -n %{develname}
%{_libdir}/lib%{name}*.so
%{_libdir}/pkgconfig/%{name}*.pc
%{_includedir}/%{name}*
%{_datadir}/gir-1.0/Gucharmap-%{gir_major}.gir


%changelog

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1.1-1.mga2
+ Revision: 231109
- new version 3.4.1.1
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0.1-1.mga2
+ Revision: 226658
- clean spec
- drop merged patch
- new version 3.4.0.1

* Wed Feb 29 2012 fwang <fwang> 3.3.1-2.mga2
+ Revision: 215981
- upload patch
- drop gconf reference

* Tue Feb 07 2012 fwang <fwang> 3.3.1-1.mga2
+ Revision: 205772
- update file list
- there is no gconf schemas
- new version 3.3.1

* Mon Dec 19 2011 wally <wally> 3.3.0-1.mga2
+ Revision: 184566
- new version 3.3.0

* Mon Nov 14 2011 wally <wally> 3.2.2-1.mga2
+ Revision: 167782
- new version 3.2.2

* Mon Oct 17 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 155714
- new version 3.2.1

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148645
- new version 3.2.0

* Mon Sep 19 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 145464
- br gi
- new version 3.1.92

* Thu Jul 07 2011 wally <wally> 3.0.1-2.mga2
+ Revision: 119876
- rebuild against new rpm-setup

* Sat Jun 25 2011 wally <wally> 3.0.1-1.mga2
+ Revision: 113709
- new version 3.0.1
- build against GTK+3
- enable introspection
- create subpackage for gir .typelib
- disable static build
- clean .spec

* Fri Apr 15 2011 grenoya <grenoya> 3.0.0-1.mga1
+ Revision: 85839
- update to 3.0.0

* Sun Feb 20 2011 grenoya <grenoya> 2.32.1-1.mga1
+ Revision: 54614
-imported package gucharmap
- imported package gucharmap


* Sun Nov 14 2010 Götz Waschk <waschk@mandriva.org> 2.32.1-1mdv2011.0
+ Revision: 597522
- update to new version 2.32.1

* Sun Sep 26 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581126
- update to new version 2.32.0

* Sun Aug 29 2010 Götz Waschk <waschk@mandriva.org> 2.31.91-1mdv2011.0
+ Revision: 574131
- update to new version 2.31.91

* Mon Aug 16 2010 Götz Waschk <waschk@mandriva.org> 2.31.90-1mdv2011.0
+ Revision: 570619
- update to new version 2.31.90

* Tue Jun 22 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.2-1mdv2010.1
+ Revision: 548513
- Release 2.30.2

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 2.30.1-2mdv2010.1
+ Revision: 540347
- rebuild so that shared libraries are properly stripped again

* Mon Apr 26 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 538964
- update to new version 2.30.1

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528804
- update to new version 2.30.0

* Thu Mar 11 2010 Götz Waschk <waschk@mandriva.org> 2.29.92-1mdv2010.1
+ Revision: 518253
- update to new version 2.29.92

* Wed Dec 09 2009 Götz Waschk <waschk@mandriva.org> 2.29.1-1mdv2010.1
+ Revision: 475371
- update to new version 2.29.1

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-1mdv2010.0
+ Revision: 458691
- Release 2.28.1

* Tue Oct 06 2009 Thierry Vignaud <tv@mandriva.org> 2.28.0-2mdv2010.0
+ Revision: 454726
- do not package huge ChangeLog

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446648
- new version
- update source URL

* Sun Aug 23 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-1mdv2010.0
+ Revision: 420161
- new version

* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 2.26.3.1-1mdv2010.0
+ Revision: 390677
- update to new version 2.26.3.1

* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 2.26.3-1mdv2010.0
+ Revision: 390606
- update to new version 2.26.3

* Mon May 18 2009 Götz Waschk <waschk@mandriva.org> 2.26.2-1mdv2010.0
+ Revision: 377283
- update to new version 2.26.2

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 366972
- update to new version 2.26.1

* Sun Mar 15 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 355384
- update to new version 2.26.0

* Tue Feb 17 2009 Götz Waschk <waschk@mandriva.org> 2.25.91-1mdv2009.1
+ Revision: 341232
- update to new version 2.25.91

* Mon Jan 12 2009 Götz Waschk <waschk@mandriva.org> 2.24.3-1mdv2009.1
+ Revision: 328727
- update to new version 2.24.3

* Mon Nov 24 2008 Götz Waschk <waschk@mandriva.org> 2.24.2-1mdv2009.1
+ Revision: 306430
- update to new version 2.24.2

* Sun Nov 09 2008 Oden Eriksson <oeriksson@mandriva.com> 2.24.1.1-2mdv2009.1
+ Revision: 301523
- rebuilt against new libxcb

* Wed Oct 29 2008 Götz Waschk <waschk@mandriva.org> 2.24.1.1-1mdv2009.1
+ Revision: 298661
- update to new version 2.24.1.1

* Tue Oct 21 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.1
+ Revision: 295913
- update to new version 2.24.1

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286803
- new version

* Sun Aug 31 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 277785
- new version

* Mon Aug 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.6-1mdv2009.0
+ Revision: 263506
- new version

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-1mdv2009.0
+ Revision: 231288
- update file list
- new version
- update license
- new major

* Mon Jun 30 2008 Götz Waschk <waschk@mandriva.org> 2.22.3-1mdv2009.0
+ Revision: 230131
- new version
- update buildrequires

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 192457
- new version

* Sun Mar 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183168
- new version

* Wed Jan 30 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 160246
- new version
- drop patch

* Tue Jan 15 2008 Götz Waschk <waschk@mandriva.org> 2.21.5-1mdv2008.1
+ Revision: 152136
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Götz Waschk <waschk@mandriva.org> 2.21.4-2mdv2008.1
+ Revision: 132474
- fix gconf schema installation

* Mon Dec 17 2007 Götz Waschk <waschk@mandriva.org> 2.21.4-1mdv2008.1
+ Revision: 130660
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Funda Wang <fwang@mandriva.org>
    - drop old menu

* Tue Dec 04 2007 Götz Waschk <waschk@mandriva.org> 2.21.3-1mdv2008.1
+ Revision: 115274
- new version
- update file list
- register gconf schema

* Tue Sep 18 2007 Götz Waschk <waschk@mandriva.org> 1.10.1-1mdv2008.0
+ Revision: 89466
- new version

* Mon Sep 03 2007 Götz Waschk <waschk@mandriva.org> 1.10.0-2mdv2008.0
+ Revision: 78534
- new devel name
- fix icon in desktop file


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 1.10.0-1mdv2007.1
+ Revision: 142120
- new version

* Thu Feb 15 2007 Götz Waschk <waschk@mandriva.org> 1.9.0-1mdv2007.1
+ Revision: 121299
- new version
- new major

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 1.8.0-2mdv2007.1
+ Revision: 89016
- Import gucharmap

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 1.8.0-2mdv2007.1
- Rebuild

* Wed Sep 06 2006 Götz Waschk <waschk@mandriva.org> 1.8.0-1mdv2007.0
- New release 1.8.0

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 1.7.0-2mdv2007.0
- Rebuild with latest dbus

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 1.7.0-1mdv2007.0
- new macros
- xdg menu
- new major
- update file list
- New release 1.7.0

* Sat Apr 15 2006 Frederic Crozat <fcrozat@mandriva.com> 1.6.0-1mdk
- Release 1.6.0

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 1.4.4-7mdk
- Use mkrel

* Mon Nov 21 2005 Pablo Saratxaga <pablo@mandriva.org> 1.4.4-6mdk
- updated char database to unicode 4.1

* Sun Nov 20 2005 Götz Waschk <waschk@mandriva.org> 1.4.4-5mdk
- rebuild for new openssl

* Wed Oct 19 2005 Frederic Crozat <fcrozat@mandriva.com> 1.4.4-4mdk
- Fix buildrequires

* Fri Oct 07 2005 Götz Waschk <waschk@mandriva.org> 1.4.4-3mdk
- fix buildrequires

* Fri Oct 07 2005 Götz Waschk <waschk@mandriva.org> 1.4.4-2mdk
- fix buildrequires

* Thu Oct 06 2005 Frederic Crozat <fcrozat@mandriva.com> 1.4.4-1mdk
- Releae 1.4.4

* Wed Sep 07 2005 Götz Waschk <waschk@mandriva.org> 1.4.3-2mdk
- replace prereq

* Tue Mar 08 2005 Götz Waschk <waschk@linux-mandrake.com> 1.4.3-1mdk
- fix source URL
- new version

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.2-3mdk 
- Rebuild with latest howl

* Fri Nov 12 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.4.2-2mdk
- add BuildRequires: perl-XML-Parser

* Tue Oct 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.2-1mdk
- New release 1.4.2

* Fri Jul 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1-2mdk
- Add lang tag for omf files
- Enable libtoolize

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1-1mdk
- Release 1.4.1 (with Götz help)
- gtk input method has been removed upstream

